function R=DOT_INSR(x,y)
n=length(x);
    for i=1:n    
    z(i)=x(i)*y(i);
    end
    for m=1:n-1   
    z(m+1)=z(m)+z(m+1);
    z(m)=0;
    for p=1:n
    
    for i=1:n-1
    if(z(i)>=z(i+1))
    
    else
    k=z(i+1);
    z(i+1)=z(i);
    z(i)=k;
    end
    end
    end
    end
    R=z(n);